package com.ruoyi.system.service.publicservice;


import com.ruoyi.system.domain.publicservice.TPublicServiceResource;

import java.util.List;

/**
 * 资源
 * @author wujm<wujm@eazytec.com>
 */
public interface TPublicServiceResourceService {

    /**
     * 分页查询
     * @param tPublicServiceResource
     * @return
     */
	List<TPublicServiceResource> listTPublicServiceResource(TPublicServiceResource tPublicServiceResource);

    /**
     * 新增
     * @param tPublicServiceResource
     * @return
     */
    int saveTPublicServiceResource(TPublicServiceResource tPublicServiceResource);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TPublicServiceResource getTPublicServiceResourceById(Long id);

    /**
     * 修改
     * @param tPublicServiceResource
     * @return
     */
    int updateTPublicServiceResource(TPublicServiceResource tPublicServiceResource);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    //保存 及附件
    int saveResource(TPublicServiceResource tPublicServiceResource);

    //详情 及附件
    TPublicServiceResource getResourceById(Long id);

    //列表 及附件
    List<TPublicServiceResource> listResource(TPublicServiceResource tPublicServiceResource);

    //获取需求编号
    String getMaxNum(TPublicServiceResource resource);

    //更新 积分
    int updateResource(TPublicServiceResource tPublicServiceResource, String realName);
}
